tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joseph Lupo <JL...@alsysinc.com>
Subject RE: Problems building Tomcat 4.0.1
Date Thu, 27 Dec 2001 15:17:48 GMT
>From what I found on the Internet, I thought getXMLReader was part of JAXP
v1.1.  I am pretty new to Java so please excuse me if this does not make
sense, but I unzipped the crimson.jar file that came with JAXP.  I found a
reference to getXMLReader in the file ./javax/xml/parsers/SAXParser.class.
For this I did a `strings SAXParser.class | grep getXML` and it listed
getXMLReader.
As far as an XML parser, I have Xerces 1.4.3 as recommended in the
BUILDING.txt file.  I also have the build.properties file looking to the
correct places for Xerces and for JAXP.

> -----Original Message-----
> From:	Ken.Horn@ubsw.com [SMTP:Ken.Horn@ubsw.com]
> Sent:	Friday, December 21, 2001 5:37 AM
> To:	tomcat-dev@jakarta.apache.org
> Subject:	RE: Problems building Tomcat 4.0.1
> 
> I seem to remember getXMLReader is a SAX2 method. What SAX/XML parser 
> are you linking with in the build?
> 
> -----Original Message-----
> From: JLupo 
> Sent: 20 December 2001 20:39
> To: tomcat-dev
> Cc: JLupo
> Subject: Problems building Tomcat 4.0.1
> 
> 
> When I try to build Tomcat 4.0.1 on my system, I get the following 
> error and
> it fails:
> 
> build-main:
>     [javac] Compiling 93 source files to
> /opt/jakarta-tomcat-4.0.1-src/jasper/build/classes
>     [javac]
> /opt/jakarta-tomcat-4.0.1-src/jasper/src/share/org/apache/jasper/compile
> r/Pa
> rserXJspSax.java:147: Method getXMLReader() not found in class
> javax.xml.parsers.SAXParser.
>     [javac]             XMLReader parser = saxParser.getXMLReader();
>     [javac]                                                      ^
>     [javac] 1 error
> 
> I've verified that I've followed the BUILDING.txt directions to no 
> avail.
> Searching the Internet revealed the following link to the archives of 
> this
> list, http://w6.metronet.com/~wjm/tomcat/2000/Oct/msg00402.html but the
> response doesn't help me because I've never had any other versions of 
> JAXP
> installed other than v1.1.
> 
> By the by, I'm running Solaris 8 x86 with JDK 1.2.2 installed.
> thanks.

--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message